const options = {
method: "GET",
headers: { "x-api-key": "<your-api-key>" },
};
fetch(
"https://api-v2.getomni.ai/api/v1/workflow-runs/5d8c1b2a-3e4f-5061-7283-94a5b6c7d8e9",
options,
)
.then((response) => response.json())
.then((response) => console.log(response))
.catch((err) => console.error(err));
import requests
url = "https://api-v2.getomni.ai/api/v1/workflow-runs/5d8c1b2a-3e4f-5061-7283-94a5b6c7d8e9"
headers = {"x-api-key": "<your-api-key>"}
response = requests.request("GET", url, headers=headers)
print(response.json())
curl --request GET \
--url https://api-v2.getomni.ai/api/v1/workflow-runs/5d8c1b2a-3e4f-5061-7283-94a5b6c7d8e9 \
--header 'x-api-key: <your-api-key>'
{
"success": true,
"workflowRun": {
"id": "5d8c1b2a-3e4f-5061-7283-94a5b6c7d8e9",
"leadId": "b1f0a790-201b-47e9-84ed-cc7eed1270c5",
"agentId": "7c9e6679-7425-40de-944b-e07fc1f90ae7",
"workflowId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"status": "ACTIVE",
"createdAt": "2026-09-10T17:42:03.000Z",
"completedAt": null,
"cancelledAt": null
}
}
Workflow Runs
Get Workflow Run
Read one workflow run
GET
/
api
/
v1
/
workflow-runs
/
:workflowRunId
const options = {
method: "GET",
headers: { "x-api-key": "<your-api-key>" },
};
fetch(
"https://api-v2.getomni.ai/api/v1/workflow-runs/5d8c1b2a-3e4f-5061-7283-94a5b6c7d8e9",
options,
)
.then((response) => response.json())
.then((response) => console.log(response))
.catch((err) => console.error(err));
import requests
url = "https://api-v2.getomni.ai/api/v1/workflow-runs/5d8c1b2a-3e4f-5061-7283-94a5b6c7d8e9"
headers = {"x-api-key": "<your-api-key>"}
response = requests.request("GET", url, headers=headers)
print(response.json())
curl --request GET \
--url https://api-v2.getomni.ai/api/v1/workflow-runs/5d8c1b2a-3e4f-5061-7283-94a5b6c7d8e9 \
--header 'x-api-key: <your-api-key>'
{
"success": true,
"workflowRun": {
"id": "5d8c1b2a-3e4f-5061-7283-94a5b6c7d8e9",
"leadId": "b1f0a790-201b-47e9-84ed-cc7eed1270c5",
"agentId": "7c9e6679-7425-40de-944b-e07fc1f90ae7",
"workflowId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"status": "ACTIVE",
"createdAt": "2026-09-10T17:42:03.000Z",
"completedAt": null,
"cancelledAt": null
}
}
Read a single workflow run: one agent conducting one workflow on one lead.
Authentication
Requires thex-api-key header with a valid workspace API key.
Path Parameters
string
required
The workflow run id returned by
Create Workflow Run.
Response
boolean
Whether the request succeeded.
object
The workflow run.
Show workflowRun
Show workflowRun
string
The workflow run id. This is what pause, resume, cancel, and complete act on, and
what the
workflow_run.* webhooks carry as workflowRun.id.string
The lead the workflow is conducted on.
string
The agent conducting the workflow. Look the name up with
List Agents.
string
The workflow being conducted. Look the name and type up with
List Workflows.
string
ACTIVE, PAUSED, COMPLETED, or CANCELLED. The last two are final.string
When the workflow run started.
string | null
When the workflow run completed, or
null.string | null
When the workflow run was cancelled, or
null.Errors
error
No workflow run with this id exists in your workspace.
const options = {
method: "GET",
headers: { "x-api-key": "<your-api-key>" },
};
fetch(
"https://api-v2.getomni.ai/api/v1/workflow-runs/5d8c1b2a-3e4f-5061-7283-94a5b6c7d8e9",
options,
)
.then((response) => response.json())
.then((response) => console.log(response))
.catch((err) => console.error(err));
import requests
url = "https://api-v2.getomni.ai/api/v1/workflow-runs/5d8c1b2a-3e4f-5061-7283-94a5b6c7d8e9"
headers = {"x-api-key": "<your-api-key>"}
response = requests.request("GET", url, headers=headers)
print(response.json())
curl --request GET \
--url https://api-v2.getomni.ai/api/v1/workflow-runs/5d8c1b2a-3e4f-5061-7283-94a5b6c7d8e9 \
--header 'x-api-key: <your-api-key>'
{
"success": true,
"workflowRun": {
"id": "5d8c1b2a-3e4f-5061-7283-94a5b6c7d8e9",
"leadId": "b1f0a790-201b-47e9-84ed-cc7eed1270c5",
"agentId": "7c9e6679-7425-40de-944b-e07fc1f90ae7",
"workflowId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"status": "ACTIVE",
"createdAt": "2026-09-10T17:42:03.000Z",
"completedAt": null,
"cancelledAt": null
}
}
